// Calendar
$color-calendar-today:           #E9F7FF !default;
$color-calendar-disabled:        #F2F2F2 !default;
$color-calendar-destructive:     $color-decorative-destructive !default;
$color-calendar-positive:        $color-decorative-positive !default;
$color-calendar-dayoff:          #EEC938 !default;
$color-calendar-mark-conflict:   $color-decorative-destructive !default;
$color-calendar-mark-default:    $color-decorative-primary !default;
$color-calendar-mark-positive:   $color-decorative-positive !default; 


/*
.calendar .date-today,
.color-calendar-today {
    background-color:       $color-calendar-today;
}
.calendar .date-closed,
.color-calendar-disabled {
    background-color:       $color-calendar-disabled;
    color:                  $color-text-lightest;
}
.calendar .date-busy a {
    border-top:             5px solid $color-calendar-busy;
}
.calendar .date-free a {
    border-top:             5px solid $color-calendar-free;
}
.calendar .date-closed a {
    border-top:             5px solid $color-calendar-disabled;
}
*/

table.calendar {
    border-collapse:                        collapse;
    border-spacing:                         0;
    background-color:                       $color-white;
    width:                                  100%;
    td, th {
        width:                              14.2%; // 7 columns
        padding:                            $table-cell-padding;
        border:                             1px solid $color-border;
        vertical-align:                     top;
    }
    th {
        color:                  $color-text-seperationheading;
        background-color:       $color-block-seperationheading;
        font-weight:            bold;
        a {
            color:              $color-text-seperationheading;
        }
        .day {
            margin-bottom:                  0;
        }
    }
    .day {
        font-size:                      1rem;
        display:                        block;
        text-align:                     right;
        margin-bottom:                  0.5em;
        color:                          $color-text-base;
    }
    .row {
        display:                        flex; // flex is important here
        justify-content:                flex-end;
        flex-wrap:                      wrap;
        margin-bottom:                  0.5em;
        text-decoration:                none;
        min-height:                     1em;
        color:                          $color-text-base;
        *:hover {
            text-decoration: none;
        }
    }
    &.calendar--tiny {
        width:                              auto;
        padding:                            0px;
        td, th {
            padding:                        0.5em 0.5em;
        }
        .calendar__tile {
            vertical-align:                 middle;
            text-align:                     center;
            &.mark:before {
                height:                     3px;
            }
        }
        .day {
            font-size:                      1em;
            margin-bottom:                  0;
        }
    }
}

// A calendar tile (a day). 
// Can be marked with a thin top border and a background-color
.calendar__tile {
    position:                       relative;
    padding:                        $table-cell-padding;
    vertical-align:                 top;
    a {
        display:                    block;
    }
    &.mark {
        position:                   relative;
        &:before {
            content:                '';
            position:               absolute;
            top:                    0;
            left:                   0;
            display:                block;
            width:                  100%;
            height:                 5px;
        }
        &.mark--positive:before {
            background-color:   $color-calendar-positive;
        }
        &.mark--destructive:before {
            background-color:   $color-calendar-destructive;
        }
        &.mark--dayoff:before {
            background-color:   $color-calendar-dayoff;
        }
    }
    &.closed,
    &.disabled,
    &.dayoff {
        background-color:           $color-calendar-disabled;
        color:                      $color-text-lightest;
        a {
            color:                  $color-text-lightest;
        }
    }   
    &.today {
        background-color:           $color-calendar-today;
        a {
            color:                  $color-text-link;
        }
    }
    &.selected {
        color:          $color-white;
        background:     $color-decorative-active;
        font-weight:    bold;
        a {
            color:          $color-white;
        }
    }
}


// Legend
.calendar-legend {
    .square {
        border:                     1px solid $color-border;
        width:                      1em;
        height:                     1em;
        display:                    inline-block;
        vertical-align:             -2px;
    }
    .mark {
        position:                   relative;
        border:                     1px solid $color-border;
        width:                      1.5em;
        height:                     0.5em;
        display:                    inline-block;
        vertical-align:             2px;
        &:before {
            content:                '';
            position:               absolute;
            top:                    0;
            left:                   0;
            display:                block;
            width:                  100%;
            height:                 5px;
        }
        &.mark--positive:before {
            background-color:   $color-calendar-positive;
        }
        &.mark--destructive:before {
            background-color:   $color-calendar-destructive;
        }
        &.mark--dayoff:before {
            background-color:   $color-calendar-dayoff;
        }
    }
    .today {
        background-color:           $color-calendar-today;
    }
    .closed,
    .disabled,
    .dayoff {
        background-color:           $color-calendar-disabled;
    }   
    @include media-query('lap-and-up') {
        // Display Legend lists side by side 
        ul {
            float: left;
            margin-right:   4em;
        }
    }
}




// ZMS: Wochenkalender (calendar-weektable)
table.calendar.calendar-weektable_calendar {
    th {
        width:                  auto;
    }
    td {
        width:                  13.5%;
    }
    .timeslot {
        display:                block;
        margin-bottom:          0.75em;
        background:             $color-grey;
        padding:                0.75em 0.5em 0.5em 0.5em;
        .timeslot__time {
            margin-bottom:      0.25em;
            display:            inline-block;
        }
        .item {
            display:            block;
            margin-bottom:      0.25em;
        }
    }
}    
